Loading...
Searching...
No Matches
casacore::MSFieldIndex Class Reference
ms package (libcasa_ms) » MSSel_module

More...

`#include <MSFieldIndex.h>`

## Public Member Functions

| MSFieldIndex (const MSField &field)
| Construct from an MS FIELD subtable.
virtual | ~MSFieldIndex ()
| Null destructor.
Vector< Int > | matchFieldNameOrCode (const String &name)
| Look up a single name in FIELD.NAME or FIELD.CODE.
Vector< Int > | matchFieldName (const String &name)
| Look up FIELD_ID's for a given field name, or set of field names.
Vector< Int > | matchFieldName (const Vector< String > &names)
Vector< Int > | matchSubFieldName (const String &name)
| ADD for file name wildcard selection.
Vector< Int > | matchFieldRegexOrPattern (const String &pattern, const Bool regex=False)
| Look up FIELD_ID's for a given pattern/regex for source name/code.
Vector< Int > | matchFieldNameRegexOrPattern (const String &pattern, const Bool regex=False)
Vector< Int > | matchFieldCodeRegexOrPattern (const String &pattern, const Bool regex=False)
Vector< Int > | matchSourceId (const Int &sourceId)
| Look up FIELD_ID's for a given source id.
Vector< Int > | matchSourceId (const Vector< Int > &sourceIds)
void | matchIdAgainstNames (Vector< Int > &ids)
Vector< Int > | validateIndices (const Vector< Int > &sourceIds)
Vector< Int > | matchFieldCode (const String &code)
| Add for field code selection.
Vector< Int > | maskFieldIDs (const Vector< Int > &ids)
Vector< Int > | matchFieldIDLT (const Int n)
Vector< Int > | matchFieldIDGT (const Int n)
Vector< Int > | matchFieldIDGTAndLT (const Int n0, const int n1)

## Private Member Functions

| MSFieldIndex ()
| Disallow null constructor.

## Private Attributes

MSFieldColumns | msFieldCols_p
| FIELD subtable column accessor.
Vector< Int > | fieldIds_p
| Vector cache of field id's.
Int | nrows_p

## Detailed Description

Class to handle lookup or indexing into a MS FIELD subtable

### Intended use:

Public interface

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- MeasurementSet
- MSField

### Etymology

From "MeasurementSet", "FIELD subtable" and "index".

### Synopsis

This class provides lookup and indexing into an MS FIELD subtable. These services include returning rows numbers (which for the FIELD subtable are FIELD_ID's) associated with specific data in the subtable.

### Example

### Motivation

Collect together all subtable indexing and lookup for the FIELD subtable, for encapsulation and efficiency.

### Thrown Exceptions

Definition at line 80 of file MSFieldIndex.h.

## Constructor & Destructor Documentation

## MSFieldIndex() [1/2]

casacore::MSFieldIndex::MSFieldIndex | ( | const MSField & | field | ) |

Construct from an MS FIELD subtable.

## ~MSFieldIndex()

virtual casacore::MSFieldIndex::~MSFieldIndex | ( |  | ) |

inline virtual

Null destructor.

Definition at line 87 of file MSFieldIndex.h.

## MSFieldIndex() [2/2]

casacore::MSFieldIndex::MSFieldIndex | ( |  | ) |

private

Disallow null constructor.

## Member Function Documentation

## maskFieldIDs()

Vector< Int > casacore::MSFieldIndex::maskFieldIDs | ( | const Vector< Int > & | ids | ) |

## matchFieldCode()

Vector< Int > casacore::MSFieldIndex::matchFieldCode | ( | const String & | code | ) |

Add for field code selection.

## matchFieldCodeRegexOrPattern()

Vector< Int > casacore::MSFieldIndex::matchFieldCodeRegexOrPattern | ( | const String & | pattern,
|  | const Bool | regex = False )

References casacore::False, casacore::pattern(), and casacore::regex().

## matchFieldIDGT()

Vector< Int > casacore::MSFieldIndex::matchFieldIDGT | ( | const Int | n | ) |

## matchFieldIDGTAndLT()

Vector< Int > casacore::MSFieldIndex::matchFieldIDGTAndLT | ( | const Int | n0,
|  | const int | n1 )

## matchFieldIDLT()

Vector< Int > casacore::MSFieldIndex::matchFieldIDLT | ( | const Int | n | ) |

## matchFieldName() [1/2]

Vector< Int > casacore::MSFieldIndex::matchFieldName | ( | const String & | name | ) |

Look up FIELD_ID's for a given field name, or set of field names.

References casacore::name().

## matchFieldName() [2/2]

Vector< Int > casacore::MSFieldIndex::matchFieldName | ( | const Vector< String > & | names | ) |

## matchFieldNameOrCode()

Vector< Int > casacore::MSFieldIndex::matchFieldNameOrCode | ( | const String & | name | ) |

Look up a single name in FIELD.NAME or FIELD.CODE.

References casacore::name().

## matchFieldNameRegexOrPattern()

Vector< Int > casacore::MSFieldIndex::matchFieldNameRegexOrPattern | ( | const String & | pattern,
|  | const Bool | regex = False )

References casacore::False, casacore::pattern(), and casacore::regex().

## matchFieldRegexOrPattern()

Vector< Int > casacore::MSFieldIndex::matchFieldRegexOrPattern | ( | const String & | pattern,
|  | const Bool | regex = False )

Look up FIELD_ID's for a given pattern/regex for source name/code.

References casacore::False, casacore::pattern(), and casacore::regex().

## matchIdAgainstNames()

void casacore::MSFieldIndex::matchIdAgainstNames | ( | Vector< Int > & | ids | ) |

## matchSourceId() [1/2]

Vector< Int > casacore::MSFieldIndex::matchSourceId | ( | const Int & | sourceId | ) |

Look up FIELD_ID's for a given source id.

## matchSourceId() [2/2]

Vector< Int > casacore::MSFieldIndex::matchSourceId | ( | const Vector< Int > & | sourceIds | ) |

## matchSubFieldName()

Vector< Int > casacore::MSFieldIndex::matchSubFieldName | ( | const String & | name | ) |

ADD for file name wildcard selection.

References casacore::name().

## validateIndices()

Vector< Int > casacore::MSFieldIndex::validateIndices | ( | const Vector< Int > & | sourceIds | ) |

## Member Data Documentation

## fieldIds_p

Vector<Int> casacore::MSFieldIndex::fieldIds_p

private

Vector cache of field id's.

Definition at line 127 of file MSFieldIndex.h.

## msFieldCols_p

MSFieldColumns casacore::MSFieldIndex::msFieldCols_p

private

FIELD subtable column accessor.

Definition at line 124 of file MSFieldIndex.h.

## nrows_p

Int casacore::MSFieldIndex::nrows_p

private

Definition at line 128 of file MSFieldIndex.h.

The documentation for this class was generated from the following file:

- ms/MSSel/MSFieldIndex.h